Summary:	sftp: a ftp-replacement over an rsh/ssh tunnel
Summary(pl.UTF-8):	Zamiennik ftp działający poprzez tunel rsh/ssh
Name:		sftp
Version:	0.9.9
Release:	9
License:	GPL
Group:		Applications/Networking
Source0:	http://www.xbill.org/sftp/download/old/%{name}-%{version}.tar.gz
# Source0-md5:	9880c86ed928997da069bdb108bf4ad9
Patch0:		%{name}-DESTDIR.patch
Patch1:		%{name}-open.patch
Patch2:		format-security.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	readline-devel >= 4.1
BuildRequires:	ncurses-devel >= 5.2
URL:		http://www.xbill.org/sftp/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
sftp is an ftp replacement that runs over an ssh tunnel. Two programs
are included - sftp and sftpserv. When sftp is run and a host is
connected to (either by running 'sftp remotehost' or 'open remotehost'
from the sftp prompt), an ssh connection is initiated to the remote
host, and sftpserv is run. From within sftp, all of the normal FTP
commands are present: open, close, get, put, pwd, cd, ls, lcd, quit,
etc. There's also exec, which runs a program on the remote end.

%description -l pl.UTF-8
sftp jest zamiennikiem ftp działającym poprzez tunel ssh. Dołączone są
dwa programy - sftp i sftpserv.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__aclocal}
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv $RPM_BUILD_ROOT%{_bindir}/sftp \
	$RPM_BUILD_ROOT%{_bindir}/sftpc
mv $RPM_BUILD_ROOT%{_mandir}/man1/sftp.1 \
	$RPM_BUILD_ROOT%{_mandir}/man1/sftpc.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README Changelog
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man?/*
%changelog
* Thu Oct 17 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/sftp.git;a=log;h=master

* Thu Oct 17 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> a836102
- release 9 (by relup.sh)

* Thu Oct 20 2016 Jan Rękorajski <baggins@pld-linux.org> 1fc0ba3
- fix format string error
- rel 8

* Tue Oct 18 2016 Jan Rękorajski <baggins@pld-linux.org> d0d9359
- rebuild with readline 7.0
- release 7 (by relup.sh)

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> b08a596
- dropped pre-cvs changelog

* Tue Feb 24 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 38b9ca8
- rel 6; open mode added

* Tue Feb 24 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> e9f445f
- new

* Mon Feb 23 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 2ff011c
- release 5

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 27d2616
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 26e839d
- converted to UTF-8

* Sat Sep 17 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> 14030c7
- new readline, 5.0

* Sun Oct 31 2004 paladine <paladine@pld-linux.org> 577ea07
- spaces->tabs
- formatting

* Fri Oct 29 2004 paladine <paladine@pld-linux.org> 328200a
- "FTP" unification

* Wed Aug 18 2004 undefine <undefine@pld-linux.org> 03e7eea
- release 3

* Wed May 28 2003 Michal Moskal <michal@moskal.me> cde72f7
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 4125329
- massive attack s/pld.org.pl/pld-linux.org/

* Sun Apr 06 2003 misi3k <misi3k@pld-linux.org> d5c7e9f
- rel 2
- fix Source0 url

* Fri Nov 29 2002 ankry <ankry@pld-linux.org> 1dd5bc3
- massive attack: new %%doc

* Wed Oct 09 2002 kloczek <kloczek@pld-linux.org> 37bdeab
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

* Wed May 22 2002 kloczek <kloczek@pld-linux.org> 47f3aba
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

* Mon Apr 29 2002 pioklo <pioklo@linuxpl.com> b077dca
- up to 0.9.9 ,STBR

